import math

def aprox_cos(x, epsilon):
  '''
  >>> math.cos(math.pi/4)
  0.7071067811865476
  >>> aprox_cos(math.pi/4, 0.1)
  0.707429206709773
  >>> aprox_cos(math.pi/4, 0.001)
  0.7071032148228457
  >>> aprox_cos(math.pi/4, 1e-10)
  0.7071067811865465
  '''
  k = 0
  t = 1.0
  s = 1.0
  while abs(t) >= abs(s) * epsilon:
     k += 2
     t = ( (-t) / (k*(k-1)) ) * x * x
     s += t
  return s


if __name__ == '__main__':
    import doctest
    doctest.testmod()
