def aprox_exp(x, epsilon):
    '''
    >>> aprox_exp(0.5, 0.1)
    1.625
    >>> aprox_exp(0.5, 0.001)
    1.6486979166666667
    >>> aprox_exp(0.5, 1e-10)
    1.648721270699598
    >>> import math
    >>> math.pow(aprox_exp(0.5, 1e-10), 2)
    2.718281828457297
    >>> math.e
    2.718281828459045
    '''
    k = 0
    t = 1.0
    s = 1.0
    while t >= epsilon*s:
       k += 1
       t = (t/k)*x
       s += t
    return s

if __name__ == '__main__':
    import doctest
    doctest.testmod()
