def n_en_base_b(n, b):
    '''
    Precondición: n es un entero mayor o igual que 0, b es un
    entero en el rango 2 <= b <= 10
    Postcondición: El resultado es una string que representa los 
    dígitos del entero n en base b.
    >>> n_en_base_b(1024,2)
    '10000000000'
    >>> n_en_base_b(1024,3)
    '1101221'
    >>> n_en_base_b(1024,7)
    '2662'
    >>> n_en_base_b(1024,10)
    '1024'
    >>> n_en_base_b(0,2)
    '0'
    >>> n_en_base_b(10,2)
    '1010'
    '''
    digitos = []
    while n >= b:
        digitos.append(str(n%b))
        n = n//b
    digitos.append(str(n))
    digitos.reverse()
    return "".join(digitos)


if __name__ == '__main__':
   import doctest
   doctest.testmod()
